.insert-field-label,
.show-field-labels {
    display:none;
}

@media (min-width:1153px) {
    .insert-form-element-gui .insert-field-label,
    .insert-form-element-gui .show-field-labels {
        display:inline;
    }
}

@media (min-width:640px) {
    .insert-form-element-html .insert-field-label,
    .insert-form-element-html .show-field-labels {
        display:inline;
    }
}

body.empty-layout {
    padding:0;
    margin:0;
}

td button.btn {
    margin-bottom: 0;
}

#login-button-local i:not(.icon) {
    top: -.25em;
}

div.item-deleted {
    color: red;
}

.table {
    --bs-table-bg:transparent;
}

.data-image-thumbnail img {
    max-width:150px;
    max-height:150px;
}

.folder-i {
    font-size: 1.1em;
    color: #ffcd6e;
    display:inline-block;
    width:1.2em;
    cursor:pointer;
}

.folder-i.read-only {
    color:#888;
}

.folder-n {
    cursor:pointer;
}

.folder-button {
    opacity:0.5;
    padding: .1rem .1rem;
    font-size: .7rem !important;
    line-height: .5rem;
    border-radius: .15rem;
}

.folder-button:hover {
    opacity:1;
}

.check-select {
    cursor: pointer;
    display: inline-block;
}

.check-select i {
    position:relative;
    top:1px;
    margin-right:.2em;
}

.radio-select {
    cursor: pointer;
    display: inline-block;
}

.radio-select i {
    font-size:1.2em;
    position:relative;
    top:1px;
    margin-right:.3em;
}

.tab-content {
    padding: 15px;
    border-left: solid 1px var(--bs-border-color);
    border-right: solid 1px var(--bs-border-color);
    border-bottom: solid 1px var(--bs-border-color);
}

.input-group i.icon {
    min-width:20px !important;
}

.input-group-text.form-options {
    overflow: hidden;
    white-space: nowrap;
}

.input-group-text.form-options > * {
    text-overflow: ellipsis;
    overflow: hidden;
}

.input-group-text.form-options-no-icons {
    min-width: 250px;
    max-width: 250px;
}

.input-group-text.form-options-one-icon {
    min-width: 213px;
    max-width: 213px;
}

.input-group-text.form-options-two-icons {
    min-width: 176px;
    max-width: 176px;
}

.input-group-text.form-options-one-icon-and-checkbox {
    min-width: 176px;
    max-width: 176px;
}

.input-group-text.auto-width {
    flex-grow:1;
}

.tooltip-text .rz-tooltip-content {
    max-width:300px;
    white-space:pre-wrap;
}

.input-group-text .form-switch {
    min-height:1rem;
    margin-bottom:0;
}

.html {
    border: solid 1px var(--bs-border-color);
    border-radius:.4em;
    padding:.4em .8em 0 .8em;
}

.row.tight > * {
    padding-left:.2rem;
    padding-right:.2rem;
}

.code-editor {
    min-height:100px;
}

#css-editor,
#html-form-editor,
#javascript-editor,
#edit-form-ReportTemplate {
    height: calc(100vh - 450px);
}

#workflow-CSharp-Code {
    height: calc(100vh - 450px);
}

#calculation-editor {
    height: 150px;
}

#theme-menu {
    z-index: 6;
}

#insert-form-element {
    position: fixed;
    top: 60px;
    right: 1px;
    z-index: 5;
    background-color: rgba(64, 64, 64, .7);
    color: #fff;
    border-radius: .35rem;
    border: solid 1px #fff;
    padding: .2em;
    white-space: nowrap;
    font-size: 0.7em;
    min-height: 50px;
}

#insert-form-element .form-elements {
    text-align:right;
}

#insert-form-element .form-elements .btn-xs {
    position:relative;
    top:-1px;
    padding: .3rem .4rem;
}

.form-element-options {
    text-align: right;
}

/*#insert-form-element table tbody tr td {
    padding:.1em .2em;
}*/
.insert-field-item {
    padding: .1em .2em;
    margin: 0 .1em .2em .1em;
    background-color: rgba(48, 48, 48, .8);
    border: solid 1px #fff;
    border-radius: .4em;
    cursor: pointer;
    display: inline-block;
    min-width:25px;
    text-align:center;
}

.insert-field-item.active {
    background-color:#000;
}

.insert-field-item .icon {
    margin-right:1px;
}

.field-listing {
    cursor:pointer;
}

.field-listing .required-flag {
    color:unset;
}

.html-field-selected-element {
    background-color:rgba(0, 0, 200, .3);
    color:#fff !important;
}

.example {
    font-size: 0.7em;
    opacity: 0.5;
}

.fixed-width-font {
    font-family: monospace;
}

.form-field {
    border-style:dashed;
    border-width:2px;
    border-color: var(--bs-border-color);
    border-radius: .4em;
    padding: .2em .2em .2em .4em;
    margin-bottom: .8em;
}

.form-field.page {
    background-color:rgba(255, 193, 7, .5);
    border-color:transparent;
}

.form-field.page h2 {
    font-size:1.8em;
    margin-bottom:0;
}

.form-field.page h3 {
    font-size:1.3em;
    margin-bottom: 0;
}

.form-field.section,
.form-field.sectionend {
    border-color:transparent;
    background-color:rgba(13, 110, 253, .5);
    /*color:#fff;*/
}

.form-field.selected {
    border-color:red;
    border-style:solid;
}

.form-field-top-items {
    position:relative;
    top:-2px;
}

.field-type-label,
.field-type-selector {
    font-weight: bold;
    font-size: 1.2em;
}

.field-type-label i,
.field-type-selector i {
    min-width:30px;
    margin-right:.05em;
    text-align:center;
}

.field-type-selector {
    cursor:pointer;
}

.field-type-selector.selected {
    opacity:0.5;
    cursor:unset;
}

.inline-field-resize {
    display:inline-block;
    width:30px;
    float:right;
}

.inline-field-resize .form-control-sm {
    font-size:0.8em;
    padding-top:.1rem;
    padding-bottom:.1rem;
    padding-left:.2rem;
    padding-right:.2rem;
    text-align:center;
}

.fixed-dialog-buttons {
    position: sticky;
    top: 0;
    z-index: 4;
    background-color: var(--bs-body-bg);
}

.input-group-text.html {
    text-align:unset;
    display:block;
}

.clickable {
    cursor: pointer;
}

.initially-hidden {
    display: none;
}

.transparent-bg {
    background-color:transparent;
}

select.transparent-bg option {
    background-color:unset;
}

.form-import-export {
    height:calc(100vh - 250px);
}

.embed-messages-close {
    float: right;
}

.embed-messages-close:hover {
    opacity:1;
}

.nform-embedded.padded {
    padding:1em;
}

.approval-preview {
    width:calc(100vw - 50px);
    margin:1.2rem auto 0 auto;
    border:solid 1px var(--bs-border-color);
    padding:1em;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px, rgba(0, 0, 0, 0.22) 0px 10px 10px;
    transform: scale(0.75);
    transform-origin: 0 0; -webkit-transform-origin: 0 0; -ms-transform-origin: 0 0; -moz-transform-origin: 0 0;
}

table.submission-details tbody tr td:first-child {
    font-weight:bold;
    text-align:right;
    padding-right:.75em;
    white-space:nowrap;
}

.workflowprocess {
    cursor:pointer;
}

.no-value {
    opacity:0.4;
    font-style:italic;
}

.rollback-pre {
    white-space: pre;
    border: solid 1px var(--bs-border-color);
    padding:.5em;
    font-size:0.8em;
}

.youtube-player-wrapper {
    width: 100%;
    background-repeat: no-repeat !important;
    background-size: 100% 100% !important;
    background-position-x: center !important;
    background-position-y: center !important;
    aspect-ratio: 16 / 9;
}

.maintenance-mode div.alert {
    display:inline-block;
}

.badge .note {
    font-size:1em;
    opacity:1;
}

h1.forms-listing {
    font-size:1.4em;
}

.forms-listing-totals {
    font-size:1.4em;
}

[data-bs-theme=dark] .text-bg-dark {
    --bs-dark-rgb: 11, 11, 11;
}

.data-editor-field-separator {
    border-bottom: dashed 1px var(--bs-border-color);
    margin-bottom:1em;
    margin-top:1em;
}

.result-object {
    border: solid 1px var(--bs-border-color);
}

.text-align-left {
    text-align:left;
}

#tab-options-pane .input-group-text {
    font-weight:bold;
}

.submit-task-data .input-group-text {
    min-width:200px;
}

.task-rule {
    font-size:.8em;
}

.task-rule pre {
    margin-bottom:0;
}

.form-selected-checkbox {
    position: relative;
    top: 2px;
}

.form-disabled {
    opacity:.7;
    font-style:italic;
}